# OCaml-iri -- IRI parser, printer and more

[🌐 OCaml-iri homepage](https://zoggy.frama.io/ocaml-iri/)

OCaml implementation of Internationalized Resource Identifiers (IRIs, defined
in [RFC 3987](http://tools.ietf.org/html/rfc3987).

This implementation does not depend on regular expression library.
Is is implemented using [Sedlex](https://github.com/ocaml-community/sedlex)
thus it will be usable in Javascript (with Js_of_ocaml).

## Documentation

Documentation is available [here](https://zoggy.frama.io/ocaml-iri/refdoc/iri/IRI/index.html).

## Development

Development is hosted on [Framagit](https://framagit.org/zoggy/ocaml-iri).

OCaml-IRI is released under LGPL3 license.

## Installation

The `iri` package is installable with opam:

```sh
$ opam install iri
```

Current state of OCaml-iri can be installed with:

```sh
$ opam pin add iri git@framagit.org:zoggy/ocaml-iri.git
```
